> For the complete documentation index, see [llms.txt](https://legacy-docs.aragon.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://legacy-docs.aragon.org/developers/tools/aragonos/smart-contract-references/evmscript-executors/callsscript.md).

# CallsScript

## contract CallsScript

is [BaseEVMScriptExecutor](/developers/tools/aragonos/smart-contract-references/evmscript-executors/baseevmscriptexecutor.md)

Source: [contracts/evmscript/executors/CallsScript.sol](https://github.com/aragon/aragonOS/blob/v4.4.0/contracts/evmscript/executors/CallsScript.sol)

## Index

* [LogScriptCall](#logscriptcall)
* [execScript](#execscript)
* [executorType](#executortype)

## Reference

### Events

#### **LogScriptCall** <a href="#logscriptcall" id="logscriptcall"></a>

` event`` `` `**`LogScriptCall`**`(address sender, address src, address dst)`

***

Parameters:

* `sender` - address
* `src` - address
* `dst` - address

### Functions

#### **execScript** <a href="#execscript" id="execscript"></a>

` function`` `` `**`execScript`**`(bytes _script, bytes , address[] _blacklist) external returns (bytes)`

***

Executes a number of call scripts.

Modifiers:

* [isInitialized](/developers/tools/aragonos/smart-contract-references/common/initializable.md#getinitializationblock)

Parameters:

* `_script` - \[ specId (uint32) ] many calls with this structure -> \[ to (address: 20 bytes) ] \[ calldataLength (uint32: 4 bytes) ] \[ calldata (calldataLength bytes) ]- bytes
* `_blacklist` - Addresses the script cannot call to, or will revert.

Returns:

* Always returns empty byte array

#### **executorType** <a href="#executortype" id="executortype"></a>

` function`` `` `**`executorType`**`() external pure returns (bytes32)`

***

Returns:

* bytes32


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragonos/smart-contract-references/evmscript-executors/callsscript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
